uk.gov.hmrc.ct.ct600a.v2

# Loan

###
Related Doc: package v2

#### case class Loan(id: String, name: String, amount: Int, repaid: Boolean = false, lastRepaymentDate: Option[LocalDate] = None, totalAmountRepaid: Option[Int] = None, endDateOfRepaymentAP: Option[LocalDate] = None) extends Product with Serializable

endDateOfRepaymentAP

  : The end date of the accounting period in which the loan repayment was made

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Loan
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Loan(id: String, name: String, amount: Int, repaid: Boolean = false, lastRepaymentDate: Option[LocalDate] = None, totalAmountRepaid: Option[Int] = None, endDateOfRepaymentAP: Option[LocalDate] = None)

   endDateOfRepaymentAP

     : The end date of the accounting period in which the loan repayment was made

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val amount: Int

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val endDateOfRepaymentAP: Option[LocalDate]

   : The end date of the accounting period in which the loan repayment was made

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val id: String

12. #### val isFullyRepaid: Boolean

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isRepaymentLaterReliefNotYetDue(acctPeriodEnd: LocalDate, filingDate: LPQ07): Boolean

15. #### def isRepaymentLaterReliefNowDue(acctPeriodEnd: LocalDate, filingDate: LPQ07): Boolean

16. #### def isRepaymentReliefEarlierThanDue(acctPeriodEnd: LocalDate): Boolean

17. #### val lastRepaymentDate: Option[LocalDate]

18. #### val name: String

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val repaid: Boolean

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### val totalAmountRepaid: Option[Int]

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped